petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscViewerAndFormatCreate

Creates a PetscViewerAndFormat struct.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerAndFormatCreate(PetscViewer viewer, PetscViewerFormat format,PetscViewerAndFormat **vf)

Collective on PetscViewer

### Input Parameters

| viewer | - the viewer
| format | - the format

### Output Parameter

vf -viewer and format object

### Notes

This increases the reference count of the viewer so you can destroy the viewer object after this call

This is used as the context variable for many of the TS, SNES, and KSP monitor functions

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDrawOpen(), PetscViewerAndFormatDestroy()

### Level

developer

### Location

src/sys/classes/viewer/interface/view.c

### Examples

src/ksp/ksp/examples/tutorials/ex2f.F90.html
src/snes/examples/tutorials/ex30.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex12.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages